Skip to content
Start here

Get WHOIS Record

client.intel.whois.get(WhoisGetParams { account_id, domain } params, RequestOptionsoptions?): WhoisGetResponse { dnssec, domain, extension, 84 more }
GET/accounts/{account_id}/intel/whois

Retrieves WHOIS registration data for a domain, including registrant and nameserver information.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: WhoisGetParams { account_id, domain }
account_id: string

Path param: Use to uniquely identify or reference the resource.

maxLength32
domain?: string

Query param

ReturnsExpand Collapse
WhoisGetResponse { dnssec, domain, extension, 84 more }
dnssec: boolean
domain: string
extension: string
found: boolean
nameservers: Array<string>
punycode: string
registrant: string
registrar: string
id?: string
administrative_city?: string
administrative_country?: string
administrative_email?: string
administrative_fax?: string
administrative_fax_ext?: string
administrative_id?: string
administrative_name?: string
administrative_org?: string
administrative_phone?: string
administrative_phone_ext?: string
administrative_postal_code?: string
administrative_province?: string
administrative_referral_url?: string
administrative_street?: string
billing_city?: string
billing_country?: string
billing_email?: string
billing_fax?: string
billing_fax_ext?: string
billing_id?: string
billing_name?: string
billing_org?: string
billing_phone?: string
billing_phone_ext?: string
billing_postal_code?: string
billing_province?: string
billing_referral_url?: string
billing_street?: string
created_date?: string
formatdate-time
created_date_raw?: string
expiration_date?: string
formatdate-time
expiration_date_raw?: string
registrant_city?: string
registrant_country?: string
registrant_email?: string
registrant_fax?: string
registrant_fax_ext?: string
registrant_id?: string
registrant_name?: string
registrant_org?: string
registrant_phone?: string
registrant_phone_ext?: string
registrant_postal_code?: string
registrant_province?: string
registrant_referral_url?: string
registrant_street?: string
registrar_city?: string
registrar_country?: string
registrar_email?: string
registrar_fax?: string
registrar_fax_ext?: string
registrar_id?: string
registrar_name?: string
registrar_org?: string
registrar_phone?: string
registrar_phone_ext?: string
registrar_postal_code?: string
registrar_province?: string
registrar_referral_url?: string
registrar_street?: string
status?: Array<string>
technical_city?: string
technical_country?: string
technical_email?: string
technical_fax?: string
technical_fax_ext?: string
technical_id?: string
technical_name?: string
technical_org?: string
technical_phone?: string
technical_phone_ext?: string
technical_postal_code?: string
technical_province?: string
technical_referral_url?: string
technical_street?: string
updated_date?: string
formatdate-time
updated_date_raw?: string
whois_server?: string

Get WHOIS Record

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const whois = await client.intel.whois.get({ account_id: '023e105f4ecef8ad9ca31a8372d0c353' });

console.log(whois.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "dnssec": true,
    "domain": "cloudflare.com",
    "extension": "com",
    "found": true,
    "nameservers": [
      "ns3.cloudflare.com",
      "ns4.cloudflare.com",
      "ns5.cloudflare.com",
      "ns6.cloudflare.com",
      "ns7.cloudflare.com"
    ],
    "punycode": "cloudflare.com",
    "registrant": "registrant",
    "registrar": "Cloudflare, Inc.",
    "id": "1542998887_DOMAIN_COM-VRSN",
    "administrative_city": "administrative_city",
    "administrative_country": "administrative_country",
    "administrative_email": "administrative_email",
    "administrative_fax": "administrative_fax",
    "administrative_fax_ext": "administrative_fax_ext",
    "administrative_id": "administrative_id",
    "administrative_name": "administrative_name",
    "administrative_org": "administrative_org",
    "administrative_phone": "administrative_phone",
    "administrative_phone_ext": "administrative_phone_ext",
    "administrative_postal_code": "administrative_postal_code",
    "administrative_province": "administrative_province",
    "administrative_referral_url": "administrative_referral_url",
    "administrative_street": "administrative_street",
    "billing_city": "billing_city",
    "billing_country": "billing_country",
    "billing_email": "billing_email",
    "billing_fax": "billing_fax",
    "billing_fax_ext": "billing_fax_ext",
    "billing_id": "billing_id",
    "billing_name": "billing_name",
    "billing_org": "billing_org",
    "billing_phone": "billing_phone",
    "billing_phone_ext": "billing_phone_ext",
    "billing_postal_code": "billing_postal_code",
    "billing_province": "billing_province",
    "billing_referral_url": "billing_referral_url",
    "billing_street": "billing_street",
    "created_date": "2009-02-17T22:07:54.000Z",
    "created_date_raw": "2009-02-17T22:07:54Z",
    "expiration_date": "2033-02-17T22:07:54.000Z",
    "expiration_date_raw": "2033-02-17T22:07:54Z",
    "registrant_city": "registrant_city",
    "registrant_country": "registrant_country",
    "registrant_email": "registrant_email",
    "registrant_fax": "registrant_fax",
    "registrant_fax_ext": "registrant_fax_ext",
    "registrant_id": "registrant_id",
    "registrant_name": "registrant_name",
    "registrant_org": "registrant_org",
    "registrant_phone": "registrant_phone",
    "registrant_phone_ext": "registrant_phone_ext",
    "registrant_postal_code": "registrant_postal_code",
    "registrant_province": "registrant_province",
    "registrant_referral_url": "registrant_referral_url",
    "registrant_street": "registrant_street",
    "registrar_city": "registrar_city",
    "registrar_country": "registrar_country",
    "registrar_email": "registrar_email",
    "registrar_fax": "registrar_fax",
    "registrar_fax_ext": "registrar_fax_ext",
    "registrar_id": "registrar_id",
    "registrar_name": "registrar_name",
    "registrar_org": "registrar_org",
    "registrar_phone": "registrar_phone",
    "registrar_phone_ext": "registrar_phone_ext",
    "registrar_postal_code": "registrar_postal_code",
    "registrar_province": "registrar_province",
    "registrar_referral_url": "registrar_referral_url",
    "registrar_street": "registrar_street",
    "status": [
      "clientdeleteprohibited",
      "clienttransferprohibited",
      "clientupdateprohibited",
      "serverdeleteprohibited",
      "servertransferprohibited",
      "serverupdateprohibited"
    ],
    "technical_city": "technical_city",
    "technical_country": "technical_country",
    "technical_email": "technical_email",
    "technical_fax": "technical_fax",
    "technical_fax_ext": "technical_fax_ext",
    "technical_id": "technical_id",
    "technical_name": "technical_name",
    "technical_org": "technical_org",
    "technical_phone": "technical_phone",
    "technical_phone_ext": "technical_phone_ext",
    "technical_postal_code": "technical_postal_code",
    "technical_province": "technical_province",
    "technical_referral_url": "technical_referral_url",
    "technical_street": "technical_street",
    "updated_date": "2024-01-09T16:45:28.000Z",
    "updated_date_raw": "2024-01-09T16:45:28Z",
    "whois_server": "whois.cloudflare.com"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "dnssec": true,
    "domain": "cloudflare.com",
    "extension": "com",
    "found": true,
    "nameservers": [
      "ns3.cloudflare.com",
      "ns4.cloudflare.com",
      "ns5.cloudflare.com",
      "ns6.cloudflare.com",
      "ns7.cloudflare.com"
    ],
    "punycode": "cloudflare.com",
    "registrant": "registrant",
    "registrar": "Cloudflare, Inc.",
    "id": "1542998887_DOMAIN_COM-VRSN",
    "administrative_city": "administrative_city",
    "administrative_country": "administrative_country",
    "administrative_email": "administrative_email",
    "administrative_fax": "administrative_fax",
    "administrative_fax_ext": "administrative_fax_ext",
    "administrative_id": "administrative_id",
    "administrative_name": "administrative_name",
    "administrative_org": "administrative_org",
    "administrative_phone": "administrative_phone",
    "administrative_phone_ext": "administrative_phone_ext",
    "administrative_postal_code": "administrative_postal_code",
    "administrative_province": "administrative_province",
    "administrative_referral_url": "administrative_referral_url",
    "administrative_street": "administrative_street",
    "billing_city": "billing_city",
    "billing_country": "billing_country",
    "billing_email": "billing_email",
    "billing_fax": "billing_fax",
    "billing_fax_ext": "billing_fax_ext",
    "billing_id": "billing_id",
    "billing_name": "billing_name",
    "billing_org": "billing_org",
    "billing_phone": "billing_phone",
    "billing_phone_ext": "billing_phone_ext",
    "billing_postal_code": "billing_postal_code",
    "billing_province": "billing_province",
    "billing_referral_url": "billing_referral_url",
    "billing_street": "billing_street",
    "created_date": "2009-02-17T22:07:54.000Z",
    "created_date_raw": "2009-02-17T22:07:54Z",
    "expiration_date": "2033-02-17T22:07:54.000Z",
    "expiration_date_raw": "2033-02-17T22:07:54Z",
    "registrant_city": "registrant_city",
    "registrant_country": "registrant_country",
    "registrant_email": "registrant_email",
    "registrant_fax": "registrant_fax",
    "registrant_fax_ext": "registrant_fax_ext",
    "registrant_id": "registrant_id",
    "registrant_name": "registrant_name",
    "registrant_org": "registrant_org",
    "registrant_phone": "registrant_phone",
    "registrant_phone_ext": "registrant_phone_ext",
    "registrant_postal_code": "registrant_postal_code",
    "registrant_province": "registrant_province",
    "registrant_referral_url": "registrant_referral_url",
    "registrant_street": "registrant_street",
    "registrar_city": "registrar_city",
    "registrar_country": "registrar_country",
    "registrar_email": "registrar_email",
    "registrar_fax": "registrar_fax",
    "registrar_fax_ext": "registrar_fax_ext",
    "registrar_id": "registrar_id",
    "registrar_name": "registrar_name",
    "registrar_org": "registrar_org",
    "registrar_phone": "registrar_phone",
    "registrar_phone_ext": "registrar_phone_ext",
    "registrar_postal_code": "registrar_postal_code",
    "registrar_province": "registrar_province",
    "registrar_referral_url": "registrar_referral_url",
    "registrar_street": "registrar_street",
    "status": [
      "clientdeleteprohibited",
      "clienttransferprohibited",
      "clientupdateprohibited",
      "serverdeleteprohibited",
      "servertransferprohibited",
      "serverupdateprohibited"
    ],
    "technical_city": "technical_city",
    "technical_country": "technical_country",
    "technical_email": "technical_email",
    "technical_fax": "technical_fax",
    "technical_fax_ext": "technical_fax_ext",
    "technical_id": "technical_id",
    "technical_name": "technical_name",
    "technical_org": "technical_org",
    "technical_phone": "technical_phone",
    "technical_phone_ext": "technical_phone_ext",
    "technical_postal_code": "technical_postal_code",
    "technical_province": "technical_province",
    "technical_referral_url": "technical_referral_url",
    "technical_street": "technical_street",
    "updated_date": "2024-01-09T16:45:28.000Z",
    "updated_date_raw": "2024-01-09T16:45:28Z",
    "whois_server": "whois.cloudflare.com"
  }
}